create database if not exists uav_user DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_bin;
use uav_user;

alter table sys_feedback
    add email varchar(254) null comment '邮箱';

alter table sys_feedback
    add is_del bit default b'0' null comment '是否删除';
create table if not exists uav_user.sys_dynamic
(
    id        int auto_increment comment 'id'
        primary key,
    title     varchar(100)     not null comment '标题',
    type      int              not null comment '内容形式 0: 正文   1: PDF',
    content   longtext         null comment '正文',
    pdf       varchar(100)     null comment 'pdf路径',
    create_by varchar(100)     null comment '创建人',
    create_at datetime         null comment '创建时间',
    update_by varchar(100)     null comment '更新人',
    update_at datetime         null comment '更新时间',
    is_del    bit default b'0' null comment '是否删除 0 否  1 是'
)
    comment '凌云动态';


create table if not exists uav_user.sys_dynamic_user_mapping
(
    id         bigint auto_increment comment 'id'
        primary key,
    user_id    bigint                             not null comment '用户id',
    name       varchar(100)                       null comment '用户名',
    telephone  varchar(100)                       null comment '手机号',
    company_id int                                null comment '公司id',
    create_at  datetime default CURRENT_TIMESTAMP null comment '创建时间',
    update_at  datetime                           null on update CURRENT_TIMESTAMP comment '更新时间',
    create_by  varchar(128)                       null comment '创建用户',
    update_by  varchar(128)                       null comment '更新用户',
    is_del     bit      default b'0'              null comment '0 未删  1 已删'
)
    comment '凌云动态用户关联表';

create table if not exists uav_user.sys_solution
(
    id            bigint                                  not null comment '解决方案ID'
        primary key,
    solution_type varchar(64) collate utf8mb4_general_ci  null comment '解决方案类型',
    telephone     varchar(128) collate utf8mb4_general_ci null comment '手机号',
    email         varchar(254) collate utf8mb4_general_ci null comment '邮箱',
    create_at     timestamp default CURRENT_TIMESTAMP     null comment '反馈时间',
    is_del        bit       default b'0'                  null comment '是否删除 0 未删除  1 删除'
)
    comment '解决方案表';

